TransferRequestMessage (common-messaging 1.1.0-SNAPSHOT API)
Date: 2018-09-22

org.gcube.datatransfer.common.messaging.messages

## Class TransferRequestMessage

- java.lang.Object
- - org.gcube.common.core.monitoring.GCUBEMessage
  - - org.gcube.datatransfer.common.messaging.messages.TransferRequestMessage

- All Implemented Interfaces:
    Serializable

      public class TransferRequestMessage
      extends org.gcube.common.core.monitoring.GCUBEMessage

  Author:
    Nikolaos Drakopoulos(CERN)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `org.gcube.common.core.monitoring.GCUBEMessage.ResultType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `dataTransferLabel`

    - ### Fields inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `DATE_FORMAT_NOW, result, scope, sourceGHN, time, topic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferRequestMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createTopicName(org.gcube.common.core.scope.GCUBEScope scope)` creates the topic name for this message
    `String` | `getDestEndpoint()`
    `String` | `getDestination()`
    `ArrayList<URI>` | `getInputUris()`
    `ArrayList<URI>` | `getOutputUris()`
    `String` | `getSourceEndpoint()`
    `String` | `getTransferId()`
    `org.gcube.datatransfer.common.agent.Types.TransferOptions` | `getTransferOptions()`
    `String` | `getTreeDestID()`
    `String` | `getTreePattern()`
    `String` | `getTreeSourceID()`
    `void` | `setDestEndpoint(String destEndpoint)`
    `void` | `setDestination(String destination)`
    `void` | `setInputUris(ArrayList<URI> inputUris)`
    `void` | `setOutputUris(ArrayList<URI> outputUris)`
    `void` | `setSourceEndpoint(String sourceEndpoint)`
    `void` | `setTransferId(String transferId)`
    `void` | `setTransferOptions(org.gcube.datatransfer.common.agent.Types.TransferOptions transferOptions)`
    `void` | `setTreeDestID(String treeDestID)`
    `void` | `setTreePattern(String treePattern)`
    `void` | `setTreeSourceID(String treeSourceID)`

    - ### Methods inherited from class org.gcube.common.core.monitoring.GCUBEMessage

      `getResult, getScope, getSourceGHN, getTime, getTopic, setResult, setScope, setSourceGHN, setTime, setTimeNow, setTopic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataTransferLabel

          public static final String dataTransferLabel

  - ### Constructor Detail

    - #### TransferRequestMessage

          public TransferRequestMessage()

  - ### Method Detail

    - #### createTopicName

          public void createTopicName(org.gcube.common.core.scope.GCUBEScope scope)

      creates the topic name for this message
      Parameters:
        `scope` - the message scope

    - #### getSourceEndpoint

          public String getSourceEndpoint()

    - #### getDestEndpoint

          public String getDestEndpoint()

    - #### getTransferId

          public String getTransferId()

    - #### getInputUris

          public ArrayList<URI> getInputUris()

    - #### getOutputUris

          public ArrayList<URI> getOutputUris()

    - #### getDestination

          public String getDestination()

    - #### getTransferOptions

          public org.gcube.datatransfer.common.agent.Types.TransferOptions getTransferOptions()

    - #### setSourceEndpoint

          public void setSourceEndpoint(String sourceEndpoint)

    - #### setDestEndpoint

          public void setDestEndpoint(String destEndpoint)

    - #### setTransferId

          public void setTransferId(String transferId)

    - #### setInputUris

          public void setInputUris(ArrayList<URI> inputUris)

    - #### setOutputUris

          public void setOutputUris(ArrayList<URI> outputUris)

    - #### setDestination

          public void setDestination(String destination)

    - #### setTransferOptions

          public void setTransferOptions(org.gcube.datatransfer.common.agent.Types.TransferOptions transferOptions)

    - #### getTreeSourceID

          public String getTreeSourceID()

    - #### getTreeDestID

          public String getTreeDestID()

    - #### getTreePattern

          public String getTreePattern()

    - #### setTreeSourceID

          public void setTreeSourceID(String treeSourceID)

    - #### setTreeDestID

          public void setTreeDestID(String treeDestID)

    - #### setTreePattern

          public void setTreePattern(String treePattern)

Copyright © 2018. All Rights Reserved.